/*
 * $Id: file-query.C,v 1.2 1995/03/03 23:19:38 asf Exp $
 */
/*
    This file is a CGI Script interface
    Copyright (C) 1994, 1995  Allen S. Firstenberg
 
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include "standard.H"
#include "post-query.H"

/***************************************************************************/

FileQuery::FileQuery( char *method, int max_entries,
                      FILE *file, int size ):
CgiQuery( method, max_entries )
{
  /*
   * Most of this code was lifted directly from cgi-src/query.c
   *
   * Check to make sure we are using the appropriate method.
   * If we are, allocate space and read the environment variable
   * into the entries.
   *
   * method should be NULL for anything but a real GET or POST
   * if size is FILEREADSIZE then read the first line from the file
   */
  int cl;
  int x;

  if( !file ){
    // Indicate that the query is invalid
    entries = NULL;
  }
  
  if( entries ){
    if( size == FILEREADSIZE ){
      char buf[80];
      fgets( buf, 79, file );
      sscanf( buf, "%d", &cl );
    } else {
      cl = size;
    }

    for(x=0;cl && (!feof(file));x++) {
        num_entries=x;
        entries[x].val( fmakeword(file,'&',&cl) );
        plustospace( entries[x].val() );
        unescape_url( entries[x].val() );
        entries[x].name( makeword( entries[x].val(), '=' ) );
    }

    num_entries++;  // one more entry than the last x
  }
}

//---------------------------------------------------------------------------

FileQuery::~FileQuery()
{
}


/***************************************************************************/

/*
 * $Log: file-query.C,v $
 * Revision 1.2  1995/03/03  23:19:38  asf
 * Added check for legality of the file to read.
 *
 * Revision 1.1  1995/03/03  06:32:05  asf
 * Initial revision
 *
 */

