/*
 * post-query.C
 */
/*
    This file is a CGI Script interface
    Copyright (C) 1994, 1995  Allen S. Firstenberg
 
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include "standard.H"
#include "post-query.H"

/***************************************************************************/

int nullatoi( char *str ){
  int ret;

  if( !str ){
    ret = 0;
  } else {
    ret = atoi( str );
  }

  return ret;
}

/***************************************************************************/

PostQuery::PostQuery( int max_entries ):
FileQuery( "POST", max_entries, stdin, nullatoi(getenv("CONTENT_LENGTH")) )
{
}

//---------------------------------------------------------------------------

PostQuery::~PostQuery()
{
}


/***************************************************************************/

/*
 * $Log: post-query.C,v $
 * Revision 1.5  1995/08/20  19:38:18  asf
 * Stupid negation
 *
 * Revision 1.4  1995/08/20  17:07:57  asf
 * A safer version of atoi is included
 *
 * Revision 1.3  1995/03/03  06:32:29  asf
 * Changed to make it a child of FileQuery
 *
 * Revision 1.2  1994/07/10  09:24:37  asf
 * Adapted the "entries" array so it refers to the object instead of to a
 * normal structure.
 *
 * Revision 1.1  1994/07/09  20:11:15  asf
 * Initial revision
 *
 */

